Skrupel - Tribute Compilation Foren-Übersicht
Aktuelle Zeit: Di Feb 19, 2019 7:17




Ein neues Thema erstellen Auf das Thema antworten  [ 138 Beiträge ]  Gehe zu Seite 1, 2, 3, 4, 5 ... 10  Nächste
 Skrupel: 2008 nur noch unter PHP5? 

Ist es ok, dass Skrupel 2008 PHP5 benötigt?
PHP5 rulez 88%  88%  [ 45 ]
PHP4 auch weiterhin unterstützen! 12%  12%  [ 6 ]
Abstimmungen insgesamt : 51

 Skrupel: 2008 nur noch unter PHP5? 
Autor Nachricht
Site Admin

Registriert: Mi Okt 11, 2006 21:56
Beiträge: 667
Wohnort: Wien
Beitrag Skrupel: 2008 nur noch unter PHP5?
Viele Probleme beim Entwickeln ergeben sich dadurch, dass Skrupel nicht objektorientiert geschrieben wurde. Nun steht die Idee im Raum, das nach und nach zu ändern, allerdings wenn dann gleich richtig, und zwar in PHP5.

Objektorientiert unter PHP4 taugt nichts und wäre im Endeffekt unnötige Arbeit weils dann in 3 Jahren eh auf PHP5 geändert werden muss.

Dies würde allerdings logischerweise bedeuten, dass man für Skrupel Webspace benötigt, der über PHP5 verfügt. Die Änderungen kämen nicht von heut auf morgen, sondern grob geschätzt würde so in 6 Montaten nen Update kommen, welches nicht mehr unter PHP4 funktioniert.

Was haltet ihr davon?


Fr Sep 07, 2007 11:53
Profil ICQ

Registriert: So Jan 28, 2007 14:42
Beiträge: 79
Beitrag 
php5 natürlich!


Fr Sep 07, 2007 13:33
Profil

Registriert: So Jan 28, 2007 14:42
Beiträge: 79
Beitrag 
am besten machst du dann folgendes ab der Version.
Alle dateien (die php dateien) bekommen die dateiendung .php5 ,da skrupel sonst nicht bei 1 und 1 funktionieren würde z.b (mir wäre es egal da ich nicht dort bin).


Fr Sep 07, 2007 13:38
Profil
Site Admin

Registriert: Mi Okt 11, 2006 21:56
Beiträge: 667
Wohnort: Wien
Beitrag 
ne das mit der dateienundg ist ja voll der mist, wir können ne htaccess mitbringen die das umbiegt, müsste man mal testen ob das funktioniert bei 1und1 etc


Fr Sep 07, 2007 14:31
Profil ICQ
Race Developer
Benutzeravatar

Registriert: Mo Okt 16, 2006 21:38
Beiträge: 241
Wohnort: Wien
Beitrag 
PHP5 natürlich. Es wird eh nicht mehr allzu lange gescheiten Webspace mit der 4er geben...


Fr Sep 07, 2007 19:40
Profil ICQ Website besuchen

Registriert: Di Okt 17, 2006 19:53
Beiträge: 68
Wohnort: bei Braunschweig
Beitrag 
php5 ist schon okay.


Fr Sep 07, 2007 23:26
Profil ICQ Website besuchen

Registriert: So Jan 28, 2007 14:42
Beiträge: 79
Beitrag 
ich persönlich finde das php4 viel zu wenig kann


Sa Sep 08, 2007 7:42
Profil

Registriert: Mo Apr 30, 2007 18:01
Beiträge: 38
Wohnort: hier
Beitrag 
da php6 schon in der entwicklungsphase ist, finde ich es voll ok skrupel auf php5 weiterzuentwickeln.
ich persönlich kenne auch keinen anbieter der php5 nicht anbietet

_________________
Soo long and thanks for all the fish.

Frauen sind wie Klos. Entweder besetzt oder voll scheisse.


Sa Nov 24, 2007 10:42
Profil ICQ

Registriert: Sa Okt 21, 2006 10:31
Beiträge: 248
Beitrag 
Also von mir aus auch schon 2007 ;)

auf meinen servern läuft eh überall nur noch php5

_________________
Freewar.de Wiki
Darkfleet.de Wiki
Portal zum Skrupel Portal


Sa Nov 24, 2007 20:13
Profil ICQ Website besuchen

Registriert: Fr Okt 27, 2006 16:04
Beiträge: 64
Beitrag Re: Skrupel: 2008 nur noch unter PHP5?
Wann stellen wir das um, in der nächsten Version (also der, nach der, die gerade in Arbeit ist) dann? Oder erst später? Das "so in 6 Monaten" ist ja schon ne Weile her.


Mi Jun 25, 2008 12:01
Profil
Site Admin

Registriert: Mi Okt 11, 2006 21:56
Beiträge: 667
Wohnort: Wien
Beitrag Re: Skrupel: 2008 nur noch unter PHP5?
naja in der nächsten version wird wohl auch ohn php5 gehen, aber dann werd ich alles neue in php5 umsetzen. wobei das natrülich nur für wirklich grosse neue dinge zählt. viele updates sind ja nur ergänzungen zu betehendem code, wodurch man natrülich im php4style gefangen bleibt.


Mi Jun 25, 2008 17:26
Profil ICQ

Registriert: Fr Okt 27, 2006 16:04
Beiträge: 64
Beitrag Re: Skrupel: 2008 nur noch unter PHP5?
Also erstmal nur neue Sachen objekt-orientiert, und erst viel, viel später dann der Kern von Skrupel?


Do Jun 26, 2008 15:49
Profil
Site Admin

Registriert: Mi Okt 11, 2006 21:56
Beiträge: 667
Wohnort: Wien
Beitrag Re: Skrupel: 2008 nur noch unter PHP5?
naja wir haben nocht vor krampfhaft alles umzustellen, halt nur neue sachen gleich richtig zu machen.


Do Jun 26, 2008 17:21
Profil ICQ

Registriert: Di Jul 22, 2008 15:48
Beiträge: 2
Beitrag Re: Skrupel: 2008 nur noch unter PHP5?
Wenn schon denn schon !


Di Jul 22, 2008 16:12
Profil ICQ
Benutzeravatar

Registriert: Fr Jul 29, 2011 9:48
Beiträge: 20
Beitrag Re: Skrupel: 2008 nur noch unter PHP5?
Also ich als kleiner PHP Anfänger bin auch für eine umstellung auf PHP5 da wie schon erwähnt wurden die meisten Hoster eh nur noch PHP5 anbieten. Gleichzeitig sollte meiner meinung nach auch eine Anpassung an die aktuelle MySQL version erolgen, da ich zumindest schon bei der Installation zuerst gescheitert bin.

Mfg
warrier


So Jul 31, 2011 9:19
Profil Website besuchen
Beiträge der letzten Zeit anzeigen:  Sortiere nach  
Ein neues Thema erstellen Auf das Thema antworten  [ 138 Beiträge ]  Gehe zu Seite 1, 2, 3, 4, 5 ... 10  Nächste


Wer ist online?

Mitglieder in diesem Forum: 0 Mitglieder und 1 Gast


Du darfst keine neuen Themen in diesem Forum erstellen.
Du darfst keine Antworten zu Themen in diesem Forum erstellen.
Du darfst deine Beiträge in diesem Forum nicht ändern.
Du darfst deine Beiträge in diesem Forum nicht löschen.

Suche nach:
Gehe zu:  
cron
Powered by phpBB © phpBB Group.
Designed by Vjacheslav Trushkin for Free Forums/DivisionCore.
Deutsche Übersetzung durch phpBB.de